public class daireX extends noktaX
{    protected double yaricap;
    public daireX(double r, double a, double b)
    {  super(a,b);yaricapgir(r);}
    public void yaricapgir(double r)
    {   if(r >= 0.0)  yaricap=r;
        else          yaricap=0.0;}
    public double yaricapoku()
    { return yaricap;}
    public double alan()
    { return Math.PI*yaricap*yaricap;}
    public String toString()
    { return "Merkez =  "+super.toString()+"; Yaricap="+yaricap;}
    public String isim() {return "daire";}         
}


